Treasury
Get proposal
Releasing soon
This endpoint is being released and is not yet available.
GET
Requires scope transactions:read.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
safeTxHash*stringx-customer-id?stringResponse Body
200application/json
Proposal
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X GET 'https://api.pilot.shiga.io/v1/treasury/proposals/string' \ -H 'x-customer-id: <customer id>' \ -H 'Authorization: Bearer sk_test_...'Example Response
{ "data": { "safeTxHash": "string", "challenge": "string", "chain": "base", "safeAddress": "string", "nonce": 0, "kind": "payment", "summary": {}, "tx": { "to": "string", "value": "string", "data": "string", "operation": 0, "safeTxGas": "string", "baseGas": "string", "gasPrice": "string", "gasToken": "string", "refundReceiver": "string", "nonce": 0 }, "requiredSignatures": 0, "collected": 0, "signers": [ { "credentialId": "string", "verifier": "string", "approvedAt": "string", "label": "string" } ], "status": "pending", "statusReason": "string", "queuePosition": 0, "expiresAt": "string", "createdAt": "string", "updatedAt": "string", "relayUserOpHash": "string", "txHash": "string", "rejectsSafeTxHash": "string", "rejectedBySafeTxHash": "string" }, "status": 200, "success": true}